## GimpPaletteSelect GimpPaletteSelect — A button which pops up a palette select dialog. |

## Functions

GtkWidget * | gimp_palette_select_button_new ()
const gchar * | gimp_palette_select_button_get_palette ()
void | gimp_palette_select_button_set_palette ()

## Properties

gchar * | palette-name | Read / Write
gchar * | title | Read / Write / Construct Only

## Signals

void | palette-set | Run First

## Types and Values

| GimpPaletteSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ╰── GimpPaletteSelectButton

## Implemented Interfaces

GimpPaletteSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A button which pops up a palette select dialog.

## Functions

### gimp_palette_select_button_new ()

    GtkWidget *
    gimp_palette_select_button_new (const gchar *title,
                                    const gchar *palette_name);

Creates a new GtkWidget that completely controls the selection of a palette. This widget is suitable for placement in a table in a plug-in dialog.

#### Parameters

title | Title of the dialog to use or `NULL` to use the default title. |
palette_name | Initial palette name. |

#### Returns

A GtkWidget that you can use in your UI.

Since GIMP 2.4

### gimp_palette_select_button_get_palette ()

    const gchar *
    gimp_palette_select_button_get_palette
                                   (GimpPaletteSelectButton *button);

Retrieves the name of currently selected palette.

#### Parameters

button | A GimpPaletteSelectButton |

#### Returns

an internal copy of the palette name which must not be freed.

Since GIMP 2.4

### gimp_palette_select_button_set_palette ()

    void
    gimp_palette_select_button_set_palette
                                   (GimpPaletteSelectButton *button,
                                    const gchar *palette_name);

Sets the current palette for the palette select button.

#### Parameters

button | A GimpPaletteSelectButton |
palette_name | Palette name to set; `NULL` means no change. |

Since GIMP 2.4

## Types and Values

### GimpPaletteSelectButton

    typedef struct _GimpPaletteSelectButton GimpPaletteSelectButton;

## Property Details

### The `“palette-name”` property

      “palette-name”             gchar *

The name of the currently selected palette.

Flags: Read / Write

Default value: NULL

Since GIMP 2.4

### The `“title”` property

      “title”                    gchar *

The title to be used for the palette selection popup dialog.

Flags: Read / Write / Construct Only

Default value: "Palette Selection"

Since GIMP 2.4

## Signal Details

### The `“palette-set”` signal

    void
    user_function (GimpPaletteSelectButton *widget,
                   gchar                   *palette_name,
                   gboolean                 dialog_closing,
                   gpointer                 user_data)

The ::palette-set signal is emitted when the user selects a palette.

#### Parameters

widget | the object which received the signal. |
palette_name | the name of the currently selected palette. |
dialog_closing | whether the dialog was closed or not. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since GIMP 2.4